Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trace
Class TimedTraceListener

    java.lang.Object
      net.sf.saxon.trace.TimedTraceListener

All Implemented Interfaces:
  java.util.EventListener, TraceListener

public class TimedTraceListener
extends java.lang.Object
implements TraceListener

A Simple trace listener that writes messages to System.err

Constructor Summary
`TimedTraceListener()`

Method Summary
`void` | `close()` Called at end
`void` | `endCurrentItem(Item item)` Called after a node of the source tree got processed
`void` | `enter(InstructionInfo instruction, XPathContext context)` Called when an instruction in the stylesheet gets processed
`void` | `leave(InstructionInfo instruction)` Called after an instruction of the stylesheet got processed
`void` | `open()` Called at start
`void` | `startCurrentItem(Item item)` Called when an item becomes current

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimedTraceListener

    public TimedTraceListener()

Method Detail

### open

    public void open()

  Called at start

  Specified by:
    `open` in interface `TraceListener`

### close

    public void close()

  Called at end

  Specified by:
    `close` in interface `TraceListener`

### enter

    public void enter(InstructionInfo instruction,
                      XPathContext context)

  Called when an instruction in the stylesheet gets processed

  Specified by:
    `enter` in interface `TraceListener`
  Parameters:
    `instruction` - gives information about the instruction being executed, and about the context in which it is executed. This object is mutable, so if information from the InstructionInfo is to be retained, it must be copied.

### leave

    public void leave(InstructionInfo instruction)

  Called after an instruction of the stylesheet got processed

  Specified by:
    `leave` in interface `TraceListener`
  Parameters:
    `instruction` - gives the same information that was supplied to the enter method, though it is not necessarily the same object. Note that the line number of the instruction is that of the start tag in the source stylesheet, not the line number of the end tag.

### startCurrentItem

    public void startCurrentItem(Item item)

  Called when an item becomes current

  Specified by:
    `startCurrentItem` in interface `TraceListener`
  Parameters:
    `item` - the new current item. Item objects are not mutable; it is safe to retain a reference to the Item for later use.

### endCurrentItem

    public void endCurrentItem(Item item)

  Called after a node of the source tree got processed

  Specified by:
    `endCurrentItem` in interface `TraceListener`
  Parameters:
    `item` - the item that was current, whose processing is now complete. This will represent the same underlying item as the corresponding startCurrentItem() call, though it will not necessarily be the same actual object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD